{
  lib,
  config,
  ...
}: let
  inherit (lib) mkOption;
in {
  options.mainUser = mkOption {
    type = lib.types.str;
  };
  config.home = let
    inherit (config) mainUser;
  in {
    username = mainUser;
    homeDirectory = "/home/${mainUser}";
  };
}
